a {
    text-decoration: none !important;
}

.header-title {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    position: relative;
    font-weight: bold;
}

.header-title>.header-title_icon {
    width: 48px;
    height: 48px;
    border-radius: 100%;
    border: 1px solid #979797;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    background: #ddd;
}

.header-title>.header-title_title {
    padding: 0px 10px;
    color: #313131;
    font-weight: bold;
    font-size: 18px !important;
}

.form-control {
    display: block;
    width: 100%;
    padding: 0.575rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 0.45rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    position: relative;
    appearance: none;
    -webkit-appearance: none;
}

.form-control::after {
    /* content: '\f107'; */
    font-family: 'Font Awesome\ 5 Free';
    font-weight: 900;
    position: absolute;
    top: 50%;
    right: 8px;
    transform: translateY(-50%);
    pointer-events: none;
}

strong {
    color: #2a2939;
    margin-right: 2px;
}

.sep10 {
    height: 10px;
    width: 100%;
    clear: both;
}

table.dataTable thead th {
    color: #494949 !important;
    font-weight: 600 !important;
    background-color: #fff !important;
    border-bottom: 0px !important;
}

.table {
    --bs-table-bg: #EDF0F3 !important;
    --bs-table-striped-bg: #EDF0F3 !important;
    border: 1px solid #eee !important;
}

table.dataTable.no-footer {
    border-bottom: #dfdada !important;
}

.dataTables_wrapper .dataTables_filter input {
    width: 300px !important;
    padding: 10px !important;
    background-color: #fff !important;
    border: 1px solid #ddd;
    margin-bottom: 20px !important;
}

.sep20 {
    height: 20px;
    width: 100%;
    clear: both;
}

.table.dataTable thead th {
    border-bottom: 0px !important;
    background: #fff;
}

table.dataTable tbody th,
table.dataTable tbody td {
    padding-top: 15px !important;
}

.btn-icono {
    font-size: 18px !important;
    padding: 4px !important;
}

#calendar {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 10px;
}

.day_title {
    text-align: center;
    font-weight: bold;
    padding: 10px;
    cursor: pointer;
    font-size: 20px;
}

.day {
    text-align: center;
    padding: 10px;
    cursor: pointer;
    font-size: 20px;
    color: #323232;
    background-color: #97B3DC;
    border-radius: 9px;
}

.day_ocupado {
    text-align: center;
    padding: 10px;
    border: 1px solid #ccc;
    cursor: pointer;
    font-size: 20px;
    background-color: #E8C1C1;
}

.event-modal {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

#monthYearIndicator {
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 10px;
}

.current-day {
    color: #5d66db;
}

.disabled-day {
    background-color: #cdcdcd;
    color: #888;
    cursor: not-allowed;
}

label {
    font-size: 14px !important;
}

#left-sidebar {
    background-color: #482F42 !important;
    color: #fff !important;
    margin-top: 50px !important;
}

.sidebar-nav .metismenu>li {
    color: #323232 !important;
}

.sidebar-nav .metismenu a {
    color: #fff !important;
}

.sidebar-nav .metismenu a:active {
    background: #3e3939 !important;
}

.sidebar-nav .metismenu a:hover,
.sidebar-nav .metismenu a:focus,
.sidebar-nav .metismenu a:active {
    background: #006ABA !important;
}

.navbar-fixed-top {
    background-color: #482F42 !important;
}

.sidebar-nav .metismenu>li.active>a {
    background: #fff !important;
    border-radius: 12px 0px 0px 12px;
    color: #323232 !important;
}

.badge-purple {
    background: transparent;
    border-color: #006ABA;
    color: #006ABA
}

.past-day {
    background-color: #eee;
    color: #888;
    cursor: not-allowed;
}

.disponible_horario {
    cursor: pointer;
    background-color: #0069b8 !important;
    border-color: #0069b8 !important;
    color: #fff !important;
}


/* .colima .ocupado_horario {
    cursor: not-allowed;
    background-color: #a7069f !important;
    color: #fff !important;
} */

.no_laboral {
    cursor: not-allowed;
    background-color: #f6f7f8 !important;
}

.hora_no_laboral {
    cursor: not-allowed;
    background-color: #f6f7f8 !important;
}

#citasMostrar table {
    border-collapse: collapse;
    width: 100%;
}

#citasMostrar th,
#citasMostrar td {
    border: 1px solid #ddd !important;
    padding: 8px;
    text-align: left;
    width: calc(80vw / 8);
    height: calc(20vw / 8);
}

#citasMostrar tr {
    border: 1px solid #ddd !important;
}

div:where(.swal2-container) .swal2-html-container {
    overflow: hidden !important;
}

.bold {
    font-weight: bold !important;
}

#modalDetalleCita .nav-link {
    color: #fff;
    background-color: #787878;
}

#modalDetalleCita .nav-link.active {
    color: #fff;
    background-color: #006ABA;
}

#modalDetalleCita .tab-pane {
    background-color: #f8f9fa;
    border: 1px solid #eee;
    padding: 20px;
    border-radius: 5px;
    margin-top: 10px;
}

.listado_productos {
    position: absolute;
    z-index: 100;
}

.readonly-input {
    background-color: #f1f1f1 !important;
    color: #6c757d;
    border-radius: 0.25rem;
    padding: 0.5rem;
    font-size: 1rem;
}

.number-box {
    background-color: #f8f9fa;
    border: 1px solid #dee2e6;
    border-radius: 5px;
    text-align: center;
    padding: 20px;
    margin: 10px 0;
}

.number-box h1 {
    font-size: 3rem;
    margin: 0;
}

.number-box p {
    margin: 0;
}

.sesion-realizada {
    background-color: #d2d2d2;
}

.input-group-text {
    padding: 0.8rem 0.75rem !important;
}

#fechaHoraSeleccionada {
    font-size: 18px;
    color: #333;
    font-weight: bold;
    margin-bottom: 20px;
}

#fechaSeleccionada,
#horaSeleccionada {
    font-size: 16px;
    color: #555;
}

.btn-outline-disabled {
    background-color: #959292 !important;
}

.hora-btn:hover {
    background-color: #0056b3;
    transform: scale(1.1);
}

.btn-hora-selected {
    background-color: #0d6efd;
    color: white;
    font-weight: bold;
}

.selected-day {
    background-color: #0d6efd;
    color: white;
    font-weight: bold;
}

.input-with-icon {
    position: relative;
}

.icon-input {
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    pointer-events: none;
    color: #8192C1;
}

.step-circle {
    position: relative;
    height: 50px;
    width: 50px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    border: 1px solid #ddd;
    font-size: 24px;
}

.step-circle i {
    position: absolute;
    border: 2px solid #fff !important;
    /* Coloca el icono fuera del centro */
    top: -3px;
    /* Ajusta la posiciÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â³n del ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â­cono para que quede en el borde superior */
    left: 50%;
    transform: translateX(60%);
    /* Centra horizontalmente el ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â­cono */
    font-size: 14px;
    color: #AAAAAA;
    background-color: #fff;
    padding: 2px;
    border-radius: 50%;
}

.step-circle.completed i {
    color: #fff;
    background-color: #2BCB53;
}

.step-circle.active i {
    color: #fff;
    background-color: #2BCB53;
}

.step-circle.active {
    border: 1px solid #23288D;
    color: #000000;
}

.line {
    width: 100px;
    height: 4px;
    background-color: #CECECE;
}

.cardGris {
    background-color: #482F42;
    padding: 20px;
    border-radius: 20px;
    min-height: 400px;
    color: #fff;
}

.radius20 {
    border-radius: 20px !important;
}

.cabecera {
    background-color: #E6E6E6;
    border-radius: 20px 20px 0px 0px;
    padding: 20px;
}

.cardWhite {
    background-color: #fff;
    border-radius: 9px;
    padding: 10px;
}

.nav-tabs .nav-link {
    border: none;
    border-bottom: 2px solid transparent;
    color: #23288D !important;
}

.nav-tabs .nav-link.active {
    border-color: #23288D !important;
    color: #000000 !important;
    font-weight: bold;
}


/* Aumentar el espaciado entre tabs */

.nav-tabs {
    gap: 15px;
    border-bottom: 0px !important;
}

.step-active {
    font-weight: bold;
}

.step-disabled {
    color: #AAAAAA;
}

.cardWhite.selected {
    border: 2px solid #007bff;
    /* Azul fuerte */
    background-color: #f0f8ff;
}

.btn-horario-libre {
    background-color: #ADCEFE;
    border-radius: 9px;
    border-color: 1px solid #9DBAE5 !important;
}

.btn-horario-libre:hover {
    background-color: #9DBAE5;
    border-radius: 9px;
    border-color: 1px solid #9DBAE5 !important;
}

.btn-hora-selected {
    background-color: #1770EF;
    color: #fff;
}

.radius-bottom-20 {
    border-radius: 0px 0px 20px 20px !important;
}

.btn-horario-ocupado {
    background-color: #E8C1C1;
    border: 1px solid #E8C1C1 !important;
    color: #B58686;
    border-radius: 9px;
}

.btn-horario-no-disponible {
    background-color: #cdcdcd;
    border: 1px solid #cdcdcd !important;
    color: #888;
    border-radius: 9px;
}

.btn-horario-ocupado:hover {
    background-color: #cdcdcd;
    border: 1px solid #cdcdcd !important;
    color: #888;
    cursor: none;
    border-radius: 9px;
}

.cardMac {
    padding: 20px;
    padding-top: 5px;
}

#map {
    height: 400px;
}

#content-page {
    padding: 10px;
    background-color: #fff;
    position: relative;
    z-index: 110;
    border-radius: 20px 20px 0px 0px;
    width: 100%;
    clear: both;
}

html,
body {
    height: 100%;
    margin: 0;
    padding: 0;
    font-family: 'Raleway', sans-serif;
}

.form-transparente {
    background-color: inherit !important;
    border: 1px solid #fff !important;
    border-radius: 9px !important;
    color: #fff !important;
}

.col-centered {
    float: none !important;
    margin: 0 auto;
}

.btn-warning {
    background-color: #F7D600 !important;
    opacity: 0.8 !important;
    border-radius: 9px !important;
}

.form-transparente::placeholder {
    color: white;
    opacity: 1;
    /* Asegura que el color blanco sea visible */
}

.slimScrollBar {
    background: inherit !important;
}

.nav-tabs .nav-link.active,
.nav-tabs .nav-item.show .nav-link {
    background-color: inherit !important;
}

.triangulo {
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid black;
    margin: auto;
}

.rectangulo {
    background-color: #0092CD;
    border-radius: 20px;
}

.step-circle.completed {
    background-color: #3DB69D !important;
    color: #fff !important;
}

.step-circle.active {
    background-color: #1770EF !important;
    color: #fff !important;
}

@media (max-width: 768px) {
    .d-flex {
        flex-wrap: wrap;
    }

    .step-circle {
        width: 40px;
        height: 40px;
        font-size: 0.9rem;
    }

    .line {
        display: none;
    }

    .step-disabled,
    .step-active {
        font-size: 0.7rem;
        margin-top: 5px;
        text-align: center;
    }

    .fs-5 {
        font-size: 12px !important;
    }
}

.metismenu>li i {
    color: #ccc !important;
}

.modal-backdrop {
    position: static !important;
}